package common.item;

import common.biome.BaseBiome;
import common.color.TextColor;
import common.entity.npc.EntityNPC;
import common.util.BlockPos;
import common.util.Vec3;
import common.world.AWorldServer;

public class ItemInfoWand extends ItemWand {
    public ItemInfoWand() {
        this.setColor(TextColor.BLUE);
    }
    
    public void onUse(ItemStack stack, EntityNPC player, AWorldServer world, Vec3 vec)
    {
    	BaseBiome biome = world.getBiomeGenForCoords(new BlockPos(vec.xCoord, 0, vec.zCoord));
    	player.connection.addHotbar(TextColor.NEON + "* Position bei Level %d: %.3f %.3f %.3f, %s [%d], %.2f °C", world.dimension.getDimensionId(), 
    			vec.xCoord, vec.yCoord, vec.zCoord, 
    			biome.display, biome.id, world.getTemperatureC(new BlockPos(vec)));
    }
    
	public int getRange(ItemStack stack, EntityNPC player) {
		return 250;
	}
}
